Dialogs module - Defect #685

HTML tags arenot recognized any more in dialogs
04/11/2013 02:41 PM - Mina Naeimi

Status: Closed Start date: 04/11/2013
Priority: High Due date:

Assignee: Harjo Kompagnie % Done: 0%
Category: Estimated time: 0.00 hour
Target version:

Browser (if web all kind of browsers

client):

Description

After updating dialog module to the latest version from repository. | recognized that message area was changed from Label to
Text_Area and html tags are not recognizable any more (According to the SVN this changes was applied on 4 Dec 2012 (revision
90)).

We are using several these kind of dialog in Servoy internal system (CRM) but now all of them look like so odd (Please see this
http://screencast.com/t/Zmtnm7yHENR).

History

#1 - 01/20/2014 12:51 PM - Tom Parry

Is this still a problem?

#2 - 01/29/2014 11:08 AM - Harjo Kompagnie

- Assignee set to Harjo Kompagnie

#3 - 01/29/2014 11:11 AM - Harjo Kompagnie

Please check the latest trunk version.
It is allowed now to use html in the text messages. Also html in i18n labels are allowed.
The only restriction is that your string or i18n string has to start with: '<html>'

Please make sure that you also close your html tags properly!
If you are not using html nothing changes.

#4 - 01/29/2014 11:12 AM - Harjo Kompagnie

- Status changed from New to Closed

#5 - 12/10/2014 11:52 AM - Sovan Misra

Hi,

| am using Dialog Module V 1.5.6 and showing a HTML message with i18n keys. On the dialog it is coming with the markup tags.
<html>Please confirm that you would like to change your dashboard project status from <b>{0}</b> to <b>{1}</b> as your default.</html>

if(globals.DIALOGS.showQuestionDialog(i18n.getl18NMessage('key.set_default_filter'),i18n.getl18NMessage('key.set_default_filter_message’,
[application.getValueListDisplayValue('projects_filter_by_status',project_filter_1)]),'Yes', 'No') == 'Yes')

Am | doing anything wrong here?

Thanks
Sovan

#6 - 12/10/2014 12:35 PM - Harjo Kompagnie

Did you try the trunk version?
Out of my head, the message need the syntax: 'i18n:key.set_default_filter_message'
| don't know if it works with arguments {0} and {1}

You always can workaround, by getting all your i18nMessages in variables like:

var vTitle = i18n.getl18NMessage('key.set_default_filter')
var vMessage = i18n.getl18NMessage('key.set_default_filter_message'
and than do: if(globals.DIALOGS.showQuestionDialog(vTitle,vMessage,
[application.getValueListDisplayValue('projects_filter_by_status',project_filter_1)]),'Yes', 'No') == 'Yes')
